﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private readonly DateTime startDate;
        private readonly DateTime endDate;
        private readonly List<Tuple<DateTime, double>> data;

        public MainWindow()
        {
            startDate = new DateTime(2012, 01, 01);
            endDate = startDate.AddMonths(3);
            data = new List<Tuple<DateTime, double>>();
            Random r = new Random();

            for (DateTime date = startDate; date <= endDate; date = date.AddMinutes(15))
            {
                data.Add(new Tuple<DateTime, double>(date, r.Next(0, 100)));
            }

            InitializeComponent();

            this.sparkline.ItemsSource = data;
        }

        private void RadTimeBar_SelectionChanged(object sender, RadRoutedEventArgs e)
        {
            var selection = timebar.Selection;
            var selectedData = data.Where(c => c.Item1 >= selection.Start && c.Item1 <= selection.End);
            this.chart.Series[0].ItemsSource = selectedData;
        }
    }
}
